#define trigPin 2
#define echoPin 3
#define relayPin 4
#define threshold 300

String serialString;

void setup() 
{
  // Configure Hardware
  Serial.begin (9600);
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
  pinMode(relayPin, OUTPUT);
  digitalWrite(relayPin, LOW);

  // Arming time - prepare to run away!
  delay(8000);
}

void loop() 
{
  // Take a measurement 
  float duration, distance;
  digitalWrite(trigPin, LOW); 
  delayMicroseconds(2);
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
  
  duration = pulseIn(echoPin, HIGH);
  distance = (duration / 2) * 0.0344;

  // Spray water if threshold met
  if(distance <= threshold)
  {
      digitalWrite(relayPin, HIGH);
      Serial.println(distance);
      delay(2000);
      digitalWrite(relayPin, LOW);
  } 

  // Check for morning water sprinkling message
  if(Serial.available())
  {
    delay(200);
    serialString = Serial.readString();
    if(serialString == "WATERON")
    {
      digitalWrite(relayPin, HIGH);
    }
    else
    {
      digitalWrite(relayPin, LOW);
    }
  }

  Serial.flush();
}

