import pygame
import datetime
import time
import serial
	
endApp = False											# End app flag
currentTime = datetime.datetime.now()					# Create a DateTime Object
pygame.init()
pygame.mixer.init()                                     # Initialize PyGame
badDogSound = pygame.mixer.Sound("badDog.wav")          # Create a sound object


serialPort = serial.Serial(port = "/dev/ttyACM0", baudrate=9600,
                           bytesize=8, timeout=2, stopbits=serial.STOPBITS_ONE)


while(endApp == False):
	
	if(serialPort.in_waiting > 0):
		badDogSound.play()
		time.sleep(3)
		emptyBuffer = serialPort.read(1024)			
			
	if(currentTime.hour == 7):
		if(currentTime.minute < 15):
			serialPort.write("WATERON".encode('ASCII'))
			time.sleep(1)
		else:
			serialPort.write("WATEROFF".encode('ASCII'))
	else:
		serialPort.write("WATEROFF".encode('ASCII'))
					
	
	time.sleep(1)
	currentTime = datetime.datetime.now()

pygame.quit()
serialPort.close()
